summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuca Barbato <lu_zero@gentoo.org>2007-04-05 10:01:23 +0000
committerLuca Barbato <lu_zero@gentoo.org>2007-04-05 10:01:23 +0000
commitaa8f499603dfbb08b42037ca40b644aee7294e47 (patch)
tree7ddb4fd542f851b1ef07beb93142c5c9b7607d7a /media-video/libnemesi-git/libnemesi-git-0.1.ebuild
parentMoving to git (diff)
downloadlu_zero-aa8f499603dfbb08b42037ca40b644aee7294e47.tar.gz
lu_zero-aa8f499603dfbb08b42037ca40b644aee7294e47.tar.bz2
lu_zero-aa8f499603dfbb08b42037ca40b644aee7294e47.zip
libnemesi for you
svn path=/; revision=88
Diffstat (limited to 'media-video/libnemesi-git/libnemesi-git-0.1.ebuild')
-rw-r--r--media-video/libnemesi-git/libnemesi-git-0.1.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/media-video/libnemesi-git/libnemesi-git-0.1.ebuild b/media-video/libnemesi-git/libnemesi-git-0.1.ebuild
new file mode 100644
index 0000000..3d0e77f
--- /dev/null
+++ b/media-video/libnemesi-git/libnemesi-git-0.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit git eutils
+
+EGIT_REPO_URI="git://live.polito.it/var/git/libnemesi.git"
+EGIT_BOOTSTRAP="NOCONFIGURE=1 ./autogen.sh"
+
+DESCRIPTION="Standard rtsp streaming client library"
+HOMEPAGE="http://streaming.polito.it/client/library"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~ppc64"
+IUSE=""
+
+# self contained
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+src_compile() {
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --libdir=/usr/$(get_libdir) \
+ --infodir=/usr/share/info \
+ --datadir=/usr/share \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-fhs23 || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ make DESTDIR=${D} install || die "make install failed"
+ dodoc README
+ dodoc ChangeLog
+}